# abstract ColorMatrix(Float32Array)

#### package lime.math

#### from Float32Array to Float32Array

Available on all platforms

### Constructor

###

`new (?data:Float32Array)`

### Variables

###

`alphaMultiplier:Float`

###

`alphaOffset:Float`

###

`blueMultiplier:Float`

###

`blueOffset:Float`

###

`color:Int`

###

`greenMultiplier:Float`

###

`greenOffset:Float`

###

`redMultiplier:Float`

###

`redOffset:Float`

### Methods

###

`clone ():ColorMatrix`

###

`concat (second:ColorMatrix):Void`

###

`copyFrom (other:ColorMatrix):Void`

###

`get (index:Int):Float`

###

`getAlphaTable ():UInt8Array`

###

`getBlueTable ():UInt8Array`

###

`getGreenTable ():UInt8Array`

###

`getRedTable ():UInt8Array`

###

`identity ():Void`

###

`set (index:Int, value:Float):Float`